#pragma once

#include <string>
#include <vector>
#include <map>

class HttpHeader
{
public:
    void parse(const std::vector<std::string >& message);

private:

    std::string mHost;
    std::string mUserAgent;
    std::string mAccept;
    std::string mAcceptLanguage;
    std::string mAcceptEncoding;
    std::string mConnection;
    std::string mReferer;
    std::string mSecFetchDest;
    std::string mSecFetchMode;
    std::string mSecFetchSite;

    std::map<std::string, std::string> mOtherFields;
};
